We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback


Overview

The React Radar chart visualizes data in terms of values and angles. It provides options for visual comparison between several quantitative or qualitative aspects of a situation. It supports interactive features such as selection and tooltip.


Inverted axis

The React Radar Chart provides an option to reverse the axis labels and ticks. This swaps the higher and lower ranges of an axis.


Start angle

Customize the start angle of the chart to rotate it.


Marker

Mark data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Chart types

Supports different types of series like line, column, spline, range area, scatter, and stacked area.


Wind Rose Chart

You can create a wind rose chart with the help of stacked column series in polar and radar charts.


React Radar Chart Code Example

Easily get started with React Radar Chart by using a few lines of HTML and JS code, as demonstrated below. Also explore our React Radar Chart Example that shows how to render and configure the chart.

import { ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject, RadarSeries, LineSeries } from '@syncfusion/ej2-react-charts';
import * as React from "react";

class App extends React.Component<{}, {}> {
    public primaryXAxis: AxisModel = { valueType: 'Category'};
    public data1: any[]= [
        { x: 'JPN', y: 5156 },
        { x: 'DEU', y: 3754 },
        { x: 'FRA', y: 2809 },
        { x: 'GBR', y: 2721 },
        { x: 'BRA', y: 2472 },
        { x: 'RUS', y: 2231 },
        { x: 'ITA', y: 2131 },
        { x: 'IND', y: 1857 },
        { x: 'CAN', y: 1843 }
];

  public render() {
    return<ChartComponent id='charts' primaryXAxis={this.primaryxAxis} title='Efficiency of oil-fired power production'>
      <Inject services={[RadarSeries,LineSeries]}/>
      <SeriesCollectionDirective>
        <SeriesDirective dataSource={this.data1} xName='x' yName='y' type='Radar' name='Department' drawType='Line'>
        </SeriesDirective>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>

Learning Resources

UG

Radar Chart User Guide

Learn the available options to customize the React Radar chart.

API

Radar Chart API Reference

Explore the React Radar chart APIs.


85+ REACT UI COMPONENTS

Scroll up icon

Warning Icon You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.Close Icon

Live Chat Icon For mobile
Live Chat Icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback


Overview

The Angular Radar Chart visualizes data in terms of values and angles. It provides options for visual comparison between several quantitative or qualitative aspects of a situation. It supports interactive features such as selection and tooltip.


Inverted axis

The Angular Radar Chart provides an option to reverse the axis labels and ticks. This swaps the higher and lower ranges of an axis.


Start angle

Customize the start angle of the chart to rotate it.


Marker

Mark data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Chart types

Supports different types of series like line, column, spline, range area, scatter, and stacked area.


Wind Rose Chart

You can create a wind rose chart with the help of stacked column series in polar and radar charts.


Angular Radar Chart Code Example

Easily get started with Angular Radar Chart by using a few lines of HTML and TS code, as demonstrated below. Also explore our Angular Radar Chart Example that shows how to render and configure the chart.

<ejs-chart style='display:block' id='chartcontainer'  [primaryXAxis]='primaryXAxis'>
<e-series-collection>
    <e-series [dataSource]='data' type='Radar' drawType= "Line" xName='x' yName='y'></e-series>   
</e-series-collection>
</ejs-chart>
//app.component.ts

import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [
    // {x: 'China', y: 9635, y1: 10535, y2: 11226, y3: 11218},
    { x: 'JPN', text: 'Japan', y: 5156, y1: 4849, y2: 4382, y3: 4939 },
    { x: 'DEU', text: 'Germany', y: 3754, y1: 3885, y2: 3365, y3: 3467 },
    { x: 'FRA', text: 'France', y: 2809, y1: 2844, y2: 2420, y3: 2463 },
    { x: 'GBR', text: 'UK', y: 2721, y1: 3002, y2: 2863, y3: 2629 },
    { x: 'BRA', text: 'Brazil', y: 2472, y1: 2456, y2: 1801, y3: 1799 },
    { x: 'RUS', text: 'Russia', y: 2231, y1: 2064, y2: 1366, y3: 1281 },
    { x: 'ITA', text: 'Italy', y: 2131, y1: 2155, y2: 1826, y3: 1851 },
    { x: 'IND', text: 'India', y: 1857, y1: 2034, y2: 2088, y3: 2256 },
    { x: 'CAN', text: 'Canada', y: 1843, y1: 1793, y2: 1553, y3: 1529 }
];
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'Category',
     
};
}

//app.module.ts

import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { RadarSeriesService, LineSeriesService, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ RadarSeriesService, LineSeriesService, CategoryService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

Radar Chart User Guide

Learn the available options to customize the Angular Radar Chart.

API

Radar Chart API Reference

Explore the Angular Radar Chart APIs.


85+ ANGULAR UI COMPONENTS

Scroll up icon

Warning Icon You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.Close Icon

Live Chat Icon For mobile
Live Chat Icon